@echo off
rem
rem	INSTALL.BAT
rem	-----------
rem
rem	1. Copies itself to the root on C: 
rem	2. Restarts itself from the copy on C: at the label part2
rem	3. Runs INSTALL_ from the floppy drive
rem	4. If a re-gen is necessary, INSTALL_ will create REGEN.BAT
rem	   to do it.
rem	
goto start

:err
cls
echo 
echo.
echo.
echo                                  ** ERROR **
echo.
echo           Please insert TSX-32 disk #1 and type A:INSTALL or B:INSTALL
echo.
echo.
goto finis

:start
if (%1) == (part2) goto %1
echo.
echo Loading Installer - please stand by...
echo.
if not exist %0.bat goto err
copy %0.bat c:\>nul
c:\install part2 %0

:part2
%2_
if exist regen.bat regen
:finis
